/// <reference types="react" />
type sizes = 'xs' | 'sm' | 'md' | 'lg' | 'xl' | 'xxl';
type colors = 'filterBgBlue' | 'themeBlue' | 'darkBlue' | 'darkBlue2' | 'lightBlue' | 'lightBlue2' | 'lightBlue3' | 'tableFg' | 'tableFg2' | 'menuFg' | 'themeWhite' | 'tableHeaderBg' | 'tableBg' | 'darkRed' | 'darkRed2' | 'darkRed3' | 'success' | 'success2' | 'success3';
type inputTypes = 'text' | 'number' | 'checkbox' | 'email' | 'radio' | 'password' | 'range' | 'search';
type directions = 'rows' | ' columns';
type borders = 'radius' | 'no-radius';
interface TagsProps {
    className?: string;
    onClick?: Function;
    onChange?: Function;
    onInput?: Function;
}

interface ButtonProps extends TagsProps {
    label: boolean;
    size?: sizes;
    color?: colors;
}
declare const Button: (props: ButtonProps) => JSX.Element;

interface RangeProps extends TagsProps {
    value: number;
    name: string;
    min: number;
    max: number;
}
declare const Range: (props: RangeProps) => JSX.Element;

interface InputProps extends TagsProps {
    label: string;
    type?: inputTypes;
}
declare const Input: (props: InputProps) => JSX.Element;

interface ImageProps extends TagsProps {
    url: string;
}
declare const Image: (props: ImageProps) => JSX.Element;

interface AmenityProps extends /*React.HTMLAttributes<HTMLElement>,*/ TagsProps {
    label: string;
    isSelected: boolean;
}
declare const AmenityBox: (props: AmenityProps) => JSX.Element;

interface BadgeProps extends TagsProps {
    label: string;
    border?: borders;
}
declare const Badge: (props: BadgeProps) => JSX.Element;

interface BadgeListProps extends TagsProps {
    direction?: directions;
    list: Array<string>;
    border: borders;
}
declare const BadgeList: (props: BadgeListProps) => JSX.Element[];

interface LeaseStatusItemProps$1 extends TagsProps {
    availableArea: string;
    totalArea: string;
    floorName: string;
}
declare const LeaseStatusItem: (props: LeaseStatusItemProps$1) => JSX.Element;

interface LeaseStatusItemProps extends TagsProps {
    direction?: directions;
    list: Array<any>;
}
declare const LeaseStatusList: (props: LeaseStatusItemProps) => JSX.Element[];

export { AmenityBox, Badge, BadgeList, Button, Image, Input, LeaseStatusItem, LeaseStatusList, Range };
